#!/bin/bash

IP=$(cat /var/ossec/etc/ossec.conf | grep -e "<manager_address>" | sed 's/<manager_address>\(.*\)<\/manager_address>/\1/g' | sed 's/ //g')

if [[ $IP == "" ]]; then
	echo "Could not determine manager"
	echo "Could not determine manager. Manager IP detected: $IP" >> clam_version_err.log
	exit 1
fi


REMVERSION=$(wget -q -O - http://$IP/channels/rules/anti-malware/VERSION | sed 's/CLAMAV_VERSION=\(.*\)/\1/g')
LOCALVERSION=""
if [[ -f /var/ossec/etc/shared/VERSION  ]]; then 
	LOCALVERSION=$(sed 's/CLAMAV_VERSION=\(.*\)/\1/g' /var/ossec/etc/shared/VERSION
)
fi

if [[ $LOCALVERSION == "" ]]; then
	echo "Out of date"
	exit 1
fi

if [[ $LOCALVERSION != $REMVERSION ]]; then
	echo "Out of date"
	exit 1
fi
echo "Current"
